aboutsummaryrefslogtreecommitdiff
path: root/network_daemons/ngircd
diff options
context:
space:
mode:
Diffstat (limited to 'network_daemons/ngircd')
-rw-r--r--network_daemons/ngircd/ngircd-15rc1-heimdal.patch.xzbin0 -> 900 bytes
-rwxr-xr-xnetwork_daemons/ngircd/ngircd.SlackBuild95
2 files changed, 95 insertions, 0 deletions
diff --git a/network_daemons/ngircd/ngircd-15rc1-heimdal.patch.xz b/network_daemons/ngircd/ngircd-15rc1-heimdal.patch.xz
new file mode 100644
index 0000000..15991c0
--- /dev/null
+++ b/network_daemons/ngircd/ngircd-15rc1-heimdal.patch.xz
Binary files differ
diff --git a/network_daemons/ngircd/ngircd.SlackBuild b/network_daemons/ngircd/ngircd.SlackBuild
new file mode 100755
index 0000000..f08738f
--- /dev/null
+++ b/network_daemons/ngircd/ngircd.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=ngircd
+VERSION=15rc1
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=15~rc1
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=ftp://ftp.berlios.de/pub/ngircd
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+lzcat $CWD/$NAME-$VERSION-heimdal.patch.xz | patch -p1 -s
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --build=${ARCH}-slackware-linux \
+ --prefix=/usr \
+ --sysconfdir=/etc/conf.d \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --with-openssl \
+ --enable-ipv6
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION $PKG/etc/rc.d
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ngircd: ngIRCd (Internet Relay Chat daemon)
+ngircd:
+ngircd: NgIRCd is an Internet Relay Chat (IRC) server. The name stands for
+ngircd: "next generation IRC daemon". It was written from scratch as opposed
+ngircd: to being based on the "grandfather" of IRC daemons ircd (IRCNet's
+ngircd: daemon). Another benefit is that ngIRCd's configuration file is
+ngircd: quite easy to understand. NgIRCd is a good choice for a small
+ngircd: network or a standalone server.
+ngircd:
+ngircd: Homepage: http://ngircd.barton.de
+ngircd:
+EOF
+
+install -m 0644 -g 0 -o 0 doinst.sh $PKG/install
+
+install -m 0644 -g 0 -o 0 AUTHORS NEWS \
+ $PKG/usr/doc/$NAME-$VERSION
+
+xz -9f \
+ $PKG/usr/doc/$NAME-$VERSION/NEWS
+
+rm -rf $PKG/usr/share
+
+mv $PKG/etc/conf.d/ngircd.conf $PKG/etc/conf.d/ngircd.conf-sample
+chmod 0640 $PKG/etc/conf.d/ngircd.conf-sample
+
+install -m 0755 -g 0 -o 0 rc.ngircd.new $PKG/etc/rc.d
+install -m 0644 -g 0 -o 0 ngircd.motd.new $PKG/etc/conf.d
+
+chmod 0444 $PKG/usr/man/man?/*.?
+xz -9f $PKG/usr/man/man?/*.?
+
+strip $PKG/usr/sbin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.txz